Bug 144785 - CAN-2005-0003 huge vma-in-executable bug
CAN-2005-0003 huge vma-in-executable bug
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
: Security
: 144365 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 10:43 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 10:41:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-01-11 10:43:40 EST
CAN-2004-1074 fixes a flaw allowing a malicious binary to crash a system.  It
was found that a similar flaw also affected 64-bit ELF support, therefore
affecting ia64 support.  

Fixed upstream in 2.6;
http://linux.bkbits.net:8080/linux-2.6/cset@41a6721cce-LoPqkzKXudYby_3TUmg

impact=important,public=20051125
Comment 1 Jim Paradis 2005-01-13 16:27:39 EST
It turns out that only Derry (AS2.1-ia64) is vulnerable to this.  Pensacola
(AS2.1-x86) is based on a different kernel rev that handles insert_vma_struct()
differently.  The same type of poisoned binary that causes Derry to crash exits
with an error on Pensacola.  I'm updating the "hardware" field of this report
accordingly.
Comment 2 Jim Paradis 2005-01-17 15:56:12 EST
A fix for this problem has also been committed to the RHEL2.1 U7
patch pool (in kernel version 2.4.18-e.53)
Comment 3 Jim Paradis 2005-01-17 16:34:06 EST
*** Bug 144365 has been marked as a duplicate of this bug. ***
Comment 4 Josh Bressers 2005-01-21 10:41:32 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-017.html

Note You need to log in before you can comment on or make changes to this bug.